%define major   0
%define gmajor  1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname %{name} -d

Name:           accountsservice
Version:        23.13.9
Release:        %mkrel 2
Summary:        D-Bus interfaces for querying and manipulating user account information
Group:          System/Libraries
License:        GPLv3+
URL:            https://www.freedesktop.org/wiki/Software/AccountsService/
#VCS: git:git://git.freedesktop.org/accountsservice
Source0:        https://www.freedesktop.org/software/accountsservice/%{name}-%{version}.tar.xz
# list this patch as a source for now to keep it around but skip it in apply_patches
Source10:       accountsservice-0.6.37-filter-bin-true-login-shell-users-from-user-list.patch
Patch2:         accountsservice-23.13.9-exclude-apache-user.patch
Patch10001:     0001-mocklibc-Fix-compiler-warning.patch
Patch10002:     0002-user-manager-Fix-another-compiler-warning.patch 

BuildRequires:  meson
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(libsystemd)
# For autoreconf
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  vala-devel

Requires(post):         rpm-helper >= 0.24.8-1
Requires(preun):        rpm-helper >= 0.24.8-1

Requires:       polkit
Requires:       shadow-utils

%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.

%files -f accounts-service.lang
%doc README.md AUTHORS
%{_datadir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_datadir}/accountsservice/
%{_datadir}/accountsservice/user-templates/administrator
%{_datadir}/accountsservice/user-templates/standard
%dir %{_datadir}/accountsservice/interfaces/
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users/
%dir %{_localstatedir}/lib/AccountsService/icons/
%{_unitdir}/accounts-daemon.service
#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Client-side library to talk to accountservice
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{libname} < 0.6.21-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/AccountsService-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for accountsservice-libs
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}

%description -n %{devname}
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/libaccountsservice/
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AccountsService-%{gmajor}.gir
%{_datadir}/vala/vapi/accountsservice.deps
%{_datadir}/vala/vapi/accountsservice.vapi

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dminimum_uid=1000 \
       -Dgtk_doc=true \
       -Dgdmconffile=/etc/X11/gdm/custom.conf \
       -Dsystemdsystemunitdir=%{_unitdir}

%meson_build

%install
%meson_install

#create dir
mkdir -p %{buildroot}%{_datadir}/accountsservice/interfaces/

%find_lang accounts-service


%changelog
* Tue May 14 2024 daviddavid <daviddavid> 23.13.9-2.mga10
+ Revision: 2064043
- backport upstream patches to fix build with GCC 14

* Mon Sep 04 2023 daviddavid <daviddavid> 23.13.9-1.mga10
+ Revision: 1983916
- new version: 23.13.9

* Sat Jul 02 2022 papoteur <papoteur> 22.08.8-1.mga9
+ Revision: 1867072
- new 22.08.8

* Tue Mar 29 2022 umeabot <umeabot> 0.6.55-4.mga9
+ Revision: 1832211
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 0.6.55-3.mga9
+ Revision: 1790094
- fix build option changed upstream

* Sun Feb 16 2020 umeabot <umeabot> 0.6.55-2.mga8
+ Revision: 1533994
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.6.55-1.mga8
+ Revision: 1446555
- new version: 0.6.55

* Wed Apr 17 2019 umeabot <umeabot> 0.6.54-2.mga7
+ Revision: 1392111
- Rebuild with meson 0.50.1

* Fri Dec 28 2018 luigiwalser <luigiwalser> 0.6.54-1.mga7
+ Revision: 1345650
- 0.6.54
- build with meson

* Sun Sep 23 2018 umeabot <umeabot> 0.6.50-2.mga7
+ Revision: 1297274
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 shlomif <shlomif> 0.6.50-1.mga7
+ Revision: 1245220
- New version with better patch of mga#23273

* Wed Jul 04 2018 shlomif <shlomif> 0.6.49-1.mga7
+ Revision: 1241580
- New version + patch for MGA#23273

* Thu Jan 18 2018 wally <wally> 0.6.45-2.mga7
+ Revision: 1194439
- create and own /usr/share/accountsservice/interfaces/
- tag docs as such

* Tue May 23 2017 luigiwalser <luigiwalser> 0.6.45-1.mga6
+ Revision: 1104225
- 0.6.45

* Fri Nov 11 2016 luigiwalser <luigiwalser> 0.6.43-1.mga6
+ Revision: 1066422
- 0.6.43
- remove upstream patches

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.6.42-1.mga6
+ Revision: 1045259
- update to 0.6.42 plus the latest fixes in git as of 2016-07-01
- fix URL

* Wed Jun 08 2016 colin <colin> 0.6.40-6.mga6
+ Revision: 1020809
- Fix systemd detection
- Prevent GVFS (i.e. /root/.cache creation)
- Allow 'remote' (i.e. x2go etc) users to change their own data
+ tv <tv>
- adjust BRs for latest systemd

* Wed Feb 10 2016 umeabot <umeabot> 0.6.40-5.mga6
+ Revision: 953047
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 wally <wally> 0.6.40-4.mga6
+ Revision: 847127
- add requires for gir pkg to devel pkg

* Wed Apr 01 2015 colin <colin> 0.6.40-3.mga5
+ Revision: 819488
- Exclude apache user from account listings mga#15596

* Mon Feb 09 2015 luigiwalser <luigiwalser> 0.6.40-2.mga5
+ Revision: 814422
- remove comments from SPEC associated with removed patches

* Mon Feb 09 2015 ovitters <ovitters> 0.6.40-1.mga5
+ Revision: 814398
- new version 0.6.40
- dropped merged patch 7
- dropped merged patch 6
- dropped merged patch 5
- dropped merged patch 4
- dropped merged patch 3
- dropped merged patch 2

* Tue Jan 27 2015 luigiwalser <luigiwalser> 0.6.37-12.mga5
+ Revision: 812460
- upstream fix from 0.6.40 for fetching user X11 sessions without an x11 display

* Mon Nov 03 2014 luigiwalser <luigiwalser> 0.6.37-11.mga5
+ Revision: 795320
- add more bug fixes from upstream, including potential crash fix (fdo#85688)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.37-10.mga5
+ Revision: 744389
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 0.6.37-9.mga5
+ Revision: 737561
- add upstream patch to fix polkit policy (fdo#78279)

* Sun Sep 28 2014 tv <tv> 0.6.37-8.mga5
+ Revision: 731100
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.6.37-7.mga5
+ Revision: 686447
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.6.37-6.mga5
+ Revision: 677683
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 0.6.37-5.mga5
+ Revision: 671856
- Rebuild for new systemd

* Tue Aug 05 2014 blino <blino> 0.6.37-4.mga5
+ Revision: 659718
- fix loading gdm's custom.conf (it is in /etc/X11/gdm instead of /etc/gdm in Mageia)

* Sun Jul 27 2014 colin <colin> 0.6.37-3.mga5
+ Revision: 657629
- Switch user id boundary to 1000+
- enable Heuristics to still show users from 500-1000 if they look real
- Fix user heuristic patch so that it applies (but keep it unapplied for now)

* Mon May 12 2014 wally <wally> 0.6.37-2.mga5
+ Revision: 622232
- set minimum uid for human users to 500
- loosen lib pkg requires a bit

* Sun May 04 2014 shlomif <shlomif> 0.6.37-1.mga5
+ Revision: 619935
- New version 0.6.37

* Fri Feb 07 2014 tv <tv> 0.6.35-1.mga5
+ Revision: 584899
- adjust file list
- new release
- disable /bin/true filetering patch

* Sat Oct 19 2013 umeabot <umeabot> 0.6.34-2.mga4
+ Revision: 528164
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 blino <blino> 0.6.34-1.mga4
+ Revision: 443610
- buildrequire vala-devel
- 0.6.34
- rediff patch0
- package vala files in devel package

* Sat May 25 2013 shlomif <shlomif> 0.6.32-1.mga4
+ Revision: 426907
- New version 0.6.32
- Retab and trailing space

* Fri Jan 11 2013 umeabot <umeabot> 0.6.30-3.mga3
+ Revision: 345221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 0.6.30-2.mga3
+ Revision: 333959
- add patch to filter also users with /bin/true login shell from users list (mga#7968)

* Sat Dec 22 2012 wally <wally> 0.6.30-1.mga3
+ Revision: 333807
- new version 0.6.30

* Wed Nov 28 2012 fwang <fwang> 0.6.29-1.mga3
+ Revision: 322489
- add doc files
- autoconf does not needed
- new version 0.6.29

* Fri Oct 19 2012 ovitters <ovitters> 0.6.25-2.mga3
+ Revision: 308215
- drop consolekit dependency

* Tue Sep 25 2012 ovitters <ovitters> 0.6.25-1.mga3
+ Revision: 297819
- new version 0.6.25

* Thu Sep 13 2012 fwang <fwang> 0.6.24-1.mga3
+ Revision: 293634
- new version 0.6.24

* Fri Jun 29 2012 wally <wally> 0.6.22-1.mga3
+ Revision: 264882
- new version 0.6.22, fixes local file disclosure flaw (CVE-2012-2737)
- drop patches from upstream

* Wed Jun 27 2012 wally <wally> 0.6.21-2.mga3
+ Revision: 264462
- add patches from upstream git
- create a subpackage for gir typelib
- unconditionally build against systemd
- clean .spec

* Tue May 29 2012 ovitters <ovitters> 0.6.21-1.mga3
+ Revision: 249217
- new version 0.6.21

* Sat Apr 28 2012 tmb <tmb> 0.6.14-2.mga2
+ Revision: 234136
- ensure build and install of systemd support
- BR gettext
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for rpm-helper requires

* Tue Sep 06 2011 tv <tv> 0.6.14-1.mga2
+ Revision: 139160
- new release
- new URL
- use xz sources

* Sat Jul 16 2011 cjw <cjw> 0.6.12-2.mga2
+ Revision: 124716
- enable systemd support

* Thu Jun 16 2011 dmorgan <dmorgan> 0.6.12-1.mga2
+ Revision: 108301
- Fix polkit buildrequire
- imported package accountsservice


* Mon Jun 06 2011 Ray Strode <rstrode@redhat.com> 0.6.12-1
- Update to latest release

* Wed May 18 2011 Matthias Clasen <mclasen@redhat.com> 0.6.11-1
- Update to 0.6.11

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Ray Strode <rstrode@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Jan 27 2011 Matthias Clasen <mclasen@redhat.com> 0.6.2-1
- Update to 0.6.2

* Wed Jul 21 2010 Matthias Clasen <mclasen@redhat.com> 0.6.1-1
- Update to 0.6.1
- Install systemd unit file

* Mon Apr  5 2010 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Always emit changed signal on icon change

* Tue Mar 30 2010 Matthias Clasen <mclasen@redhat.com> 0.6-1
- Update to 0.6

* Mon Mar 22 2010 Matthias Clasen <mclasen@redhat.com> 0.5-1
- Update to 0.5

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.4-3
- Fix directory ownership

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.4-2
- Add missing directories to the filelist

* Fri Jan 29 2010 Matthias Clasen <mclasen@redhat.com> 0.4-1
- Initial packaging, based on work by Richard Hughes
